# ConfyUI 使用教程

 

## 介绍

 

ComfyUI 是一个用于构建和管理机器学习工作流的用户界面工具，特别适用于文本到图像生成等任务。

![](http://bgapi.wodcloud.com/server/index.php?s=/api/attachment/visitFile&sign=ba37dd14f6693e69d844d1e7b2162b51)

本界面通过图形化的节点和流程图工具，帮助您设计和执行高级的 Stable Diffusion 管道。

 

### 运行环境

 

支持 ComfyUI 应用的计算资源包括 NVIDIA GPU、NPU和 CPU。

 

#### 资源规格

 

1.通常涉及较少的节点和较小的模型，例如简单的文本到图像生成任务。这类任务对资源的要求相对较低，但仍然需要一定的GPU能力来加速模型推理过程。

 

**推荐的资源规格：**

- CPU：双核或以上

- GPU：至少6GB显存

- RAM：至少8GB

- 存储：至少50GB SSD

 

**推荐显卡型号：**

- NVIDIA GeForce RTX 3060

- AMD Radeon RX 6600 XT

- NVIDIA GeForce RTX 3050

 

2.通常包括多个模型的组合使用，例如使用ControlNet进行条件生成、T2I-Adapter进行特定类型的图像生成等。这类任务需要更多的GPU资源来处理额外的计算需求。

 

**推荐的资源规格：**

- CPU：四核或以上

- GPU：至少8GB显存

- RAM：至少16GB

- 存储：至少50GB SSD

 

**推荐显卡型号：**

- NVIDIA GeForce RTX 3070

- NVIDIA GeForce RTX 3070 Ti

- NVIDIA GeForce RTX 4070

 

3.通常包含大量的节点、模型合并、多步骤的图像生成与处理等。这类任务对GPU和RAM的要求较高，可能涉及到大量数据的处理和模型之间的交互。

 

**推荐的资源规格：**

- CPU：六核或以上

- GPU：至少12GB显存

- RAM：至少32GB

- 存储：至少50GB SSD

 

**推荐显卡型号：**

- NVIDIA GeForce RTX 4070 Ti

- NVIDIA GeForce RTX 4080

- NVIDIA GeForce RTX 4090

 

4.如果上述资源规格仍无法满足您的需求，并且您希望获得极佳的性能体验，可以选择 NVIDIA A100。

 

#### 软件环境（需开发人员维护）

 

- **Python**：3.10

- **PyTorch**：2.0.1

- **CUDA**：12.1

 

### 快捷键

 

|  绑定按键 | 说明  |
| ------------ | ------------ |
| Ctrl + Enter | 将当前图排队以进行生成 |
| Ctrl + Shift + Enter  |  将当前图作为第一个排队进行生成 |
|  Ctrl + Z/Ctrl + Y | 撤销 / 重做  |
| Ctrl + S  |  保存工作流 |
| Ctrl + O  |  加载工作流 |
| Ctrl + A  | 选择所有节点  |
| Alt + C  |  折叠/展开所选节点 |
|  Ctrl + M | 静音/取消静音所选节点  |
|  Ctrl + B | 绕过所选节点（就像节点从图中移除，连线重新连接一样）  |
| Delete/Backspace  | 删除所选节点  |
| Ctrl + Backspace  | 删除当前图  |
| Space  |  按住并移动光标以移动画布 |
|  Ctrl/Shift + Click | 将点击的节点添加到选择中  |
|  Ctrl + C/Ctrl + V |  复制和粘贴所选节点（不会保持与未选节点输出的连接） |
| Ctrl + C/Ctrl + Shift + V  |  复制和粘贴所选节点（保持未选节点输出与粘贴节点输入的连接） |
| Shift + Drag  |  同时移动多个选定节点 |
| Ctrl + D  |  加载默认图 |
| Alt + +  |  画布放大 |
| Alt + -  |  画布缩小 |
|  Ctrl + Shift + LMB + Vertical drag |  画布放大/缩小 |
| Q  |  切换队列的可见性 |
| H  | 切换历史记录的可见性  |
|  R |  刷新图 |
| Double-Click LMB  | 打开节点快速搜索面板  |
对于使用 macOS 的用户，Ctrl 可以被 Cmd（Command 键）代替。
